Transaction History
curl --request GET \
--url https://api.chainstack.com/v1/faucet/transactions-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstack.com/v1/faucet/transactions-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstack.com/v1/faucet/transactions-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"protocol": "<string>",
"network": "<string>",
"amount": {
"$numberDecimal": "<string>"
},
"address": "<string>",
"userId": "<string>",
"organizationId": "<string>",
"transactionHash": "<string>",
"timestamp": 123
}
]{
"error": "<string>"
}Faucet API
Transaction history
The method retrieves the transaction history for all faucets. In the Bearer field, you need to provide your Chainstack API key to authorize the call.
GET
/
transactions-history
Transaction History
The method retrieves the transaction history for all faucets.
In the
Bearer field, you need to provide your Chainstack API key to authorize the call.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Transaction history retrieved successfully.
The protocol used for the transaction.
The network used for the transaction.
The amount sent in the transaction.
Show child attributes
Show child attributes
The address to which the amount was sent.
User ID associated with the transaction.
Organization ID associated with the transaction.
Transaction hash, nullable if not available.
Timestamp of the transaction in milliseconds.
Last modified on May 18, 2026
Was this page helpful?